Bug 198316 - Firefox experiences spurious and temporary "hangs" in KDE but not Gnome
Firefox experiences spurious and temporary "hangs" in KDE but not Gnome
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
massRequestForReproduction
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 21:22 EDT by Brian Woo
Modified: 2008-02-21 16:31 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-21 16:31:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 145758 None None None Never

  None (edit)
Description Brian Woo 2006-07-10 21:22:07 EDT
This bug has been found from another bug report (FC3) and I am experiencing the
same in RHEL4:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=145758

Description of problem:
Firefox performs noticeably better in Gnome than it does in KDE.  When
using KDE and firefox to browse somewhat complex web pages, firefox
will frequently "hang" for a few seconds (during which the kicker will
also not respond to mouse clicks) before allowing mouse input again. 
This never happens when using Gnome on the same machine.

I have experienced this same issue on every machine I have used with
Fedora Core 3 installed.  When installing Mandrake on the box, the
problem went away.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open up slashdot.org in firefox
2. Hit CTRL-T repeatedly and rapidly to open new windows until "hang"
    

Actual Results:  Short hang induced which lasts a few seconds in
firefox and the kicker.  Very irritating when browsing the web since
it happens every minute or so during medium to heavy browser usage.

Expected Results:  No delay when opening new tabs.

Additional info:

A bit contrived example, but one which I could get to demonstrate the
problem every time I did it.  This also happens frequently when
entering  data into forms on web pages frequently as well (including
while I fill out this bug report).  However, these occurances are much
more unpredictable.

Using stock version of firefox 1.0 from mozilla.org also exhibits
problem in KDE.

using top to watch CPU during such "hangs" does not show any higher
CPU utilization spikes.

Doing the exact same thing in Gnome or in KDE on Mandrake does not
induce any problems and Firefox works wonderfully.  I believe other
GTK apps do this from time to time as well, but I have not documented
them.

I've seen this commented on a few other places when using google, but
no one has seemed to find a solution yet.
Comment 1 Brian Woo 2006-07-28 01:43:25 EDT
Hi guys, I upgraded KDE from 3.3 to 3.5 (from apt) and the problem doesn't
happen again.
KDE 3.5 isn't supported by RH yet.
Comment 2 Matěj Cepl 2008-02-08 15:42:39 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 3 Brian Woo 2008-02-16 14:41:32 EST
Hi there, I am no longer using RHEL 4.  I have upgraded my workstation to RHEL 5
and I haven't experienced that problem since.
Comment 4 Matěj Cepl 2008-02-21 16:31:20 EST
Thanks for letting us know. Closing as INSUFFICIENT_DATA

Note You need to log in before you can comment on or make changes to this bug.